<div class="modal" id="<?php echo e($elementID); ?>" tabindex="-1" role="dialog"
     aria-labelledby="<?php echo e($elementID); ?>Label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <?php echo Form::model($guest, ['url' => route('checkout.step1.edit'), 'method' => 'PATCH', 'id' => 'shippingInfo', 'data-remote']); ?>

            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="infoModalLabel">Edit Your personal Information</h4>
            </div>

            <div class="modal-body">
                <p>The form is currently filled in with your current values. Feel free to change them</p>

                <div class="msgDisplay"></div>
                <div class="form-group">
                    <label for="first_name">First Name:</label>
                    <input type="text" id="first_name" name="first_name" class="form-control" maxlength="20"
                           placeholder="Enter your first name"
                           value="<?php echo e(isset($guest) ? $guest->first_name : old('first_name')); ?>" required>
                    <?php if($errors->has('first_name')): ?>
                        <span class="wow flash error-msg"><?php echo e($errors->first('first_name')); ?></span>
                    <?php endif; ?>
                </div>
                <div class="form-group">
                    <label for="last_name">Second Name:</label>
                    <input type="text" id="last_name" name="last_name" class="form-control" maxlength="20"
                           placeholder="Enter your second name"
                           value="<?php echo e(isset($guest) ? $guest->last_name : old('last_name')); ?>" required>
                    <?php if($errors->has('last_name')): ?>
                        <span class="wow flash error-msg"><?php echo e($errors->first('last_name')); ?></span>
                    <?php endif; ?>
                </div>
                
                    
                    
                
                <div class="form-group">
                    <?php echo Form::label('town', "Home town:", []); ?>

                    <?php echo Form::text('town', null, ['class' => 'form-control', 'placeholder' => 'Enter a town..eg nairobi']); ?>

                    <?php if($errors->has('town')): ?>
                        <span class="wow flash error-msg"><?php echo e($errors->first('town')); ?></span>
                    <?php endif; ?>
                </div>

                <div class="form-group">
                    <?php echo Form::label('home_address', "Home address:", []); ?>

                    <?php echo Form::textarea('home_address', null, ['rows' => '2', 'class' => 'form-control', 'placeholder' => 'Enter a random home address']); ?>

                    <?php if($errors->has('home_address')): ?>
                        <span class="wow flash error-msg"><?php echo e($errors->first('home_address')); ?></span>
                    <?php endif; ?>
                </div>
                <div class="form-group">
                    <label for="email">Email Address:</label>
                    <input type="email" id="email" name="email" class="form-control"
                           placeholder="Enter email address" value="<?php echo e(isset($guest) ? $guest->email : old('email')); ?>"
                           required>
                    <?php if($errors->has('email')): ?>
                        <span class="wow flash error-msg"><?php echo e($errors->first('email')); ?></span>
                    <?php endif; ?>
                </div>
                <div class="form-group">
                    <label for="phone">Phone number:</label>

                    <div class="input-group">
                        <span class="input-group-addon">+254</span>
                        <input type="text" id="phone" name="phone" placeholder="712345678" maxlength="9" required
                               value="<?php echo e(isset($guest) ? $guest->phone : old('phone')); ?>" class="form-control">
                    </div>
                    <?php if($errors->has('phone')): ?>
                        <span class="wow flash error-msg"><?php echo e($errors->first('phone')); ?></span>
                    <?php endif; ?>
                </div>
                <?php if(isset($passwords)): ?>
                    <div class="form-group">
                        <?php echo Form::label('password', "Password:", []); ?>

                        <?php echo Form::password('password', ['class' => 'form-control', 'placeholder' => 'just assign a random password']); ?>

                        <?php if($errors->has('password')): ?>
                            <span class="wow flash error-msg"><?php echo e($errors->first('password')); ?></span>
                        <?php endif; ?>
                    </div>
                    <div class="form-group">
                        <?php echo Form::label('password_confirmation', "Password confirmation:", []); ?>

                        <?php echo Form::password('password_confirmation', ['class' => 'form-control', 'placeholder' => 'repeat the password']); ?>

                        <?php if($errors->has('password_confirmation')): ?>
                            <span class="wow flash error-msg"><?php echo e($errors->first('password_confirmation')); ?></span>
                        <?php endif; ?>
                    </div>
                <?php endif; ?>

            </div>
            <div class="modal-footer">
                <div class="pull-left">
                    <button type="submit" class="btn btn-primary"><i class="fa fa-check-square"></i>&nbsp;Save</button>
                    &nbsp;<span class="alt-ajax-image"><img src="<?php echo e(alt_ajax_image()); ?>"> </span>
                </div>
                <div class="pull-right">
                    <button type="button" class="btn btn-danger" data-dismiss="modal"><i class="fa fa-times"></i>&nbsp;cancel
                    </button>
                </div>
            </div>
            <?php echo Form::close(); ?>

        </div>
    </div>
</div>
