<?php echo isset($heading) ? "<h3>Sign In to your account</h3><hr/>" : ""; ?>

<?php if(api_login_enabled()): ?>

    <?php echo $__env->make('_partials.forms.authentication.oauth', ['action' => 'Sign in'], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php endif; ?>
<div class="row animated shake">
    <?php echo $__env->make('_partials.forms.authentication.auth-message', ['ajax_output' => $useAjax], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</div>

    <form class="form-horizontal" role="form" method="POST" action="<?php echo e(url('user.authenticate')); ?>" id="loginForm" <?php echo e($useAjax ? "data-remote" : ""); ?>>
    <?php echo Form::token(); ?>

    <div class="form-group">
        <label for="email">Email Address:</label>
        <input type="email" name="email" id="email" class="form-control"
               placeholder="Enter your email address" required value="<?php echo e(old('email')); ?>">
        <?php if($errors->has('email')): ?>
            <span class="wow flash error-msg"><?php echo e($errors->first('email')); ?></span>
        <?php endif; ?>
    </div>
    <div class="form-group">
        <label for="password">Password:</label>
        <input type="password" class="form-control" id="password" name="password"
               placeholder="Enter your password" required>
        <?php if($errors->has('password')): ?>
            <span class="wow flash error-msg"><?php echo e($errors->first('password')); ?></span>
        <?php endif; ?>
    </div>
    <div class="form-group">
        <div class="checkbox">
            <label>
                <input type="checkbox" name="remember"> Remember Me&nbsp;
                <a href="<?php echo e(route('help.article.view', ['article' => 4, 'popup' => true])); ?>" data-help target="_blank">
                    <i class="fa fa-question-circle"></i>
                </a>
            </label>
            <label class="pull-right">
                <a href="<?php echo e(route('password.reset')); ?>">I forgot my password
                </a>
            </label>
        </div>

    </div>
    <?php if(isset($recaptcha)): ?>
        <p class="text text-danger">We've detected unusual request activity from your IP address
            of <?php echo e(Request::getClientIp()); ?>. You'll need to prove that you're not a robot</p>
        <?php echo $__env->make('_partials.forms.authentication.recaptcha', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    <?php endif; ?>
    <br/>
    <button type="submit" class="btn btn-primary <?php echo e($extra_class); ?>"><i class="fa fa-sign-in"></i>&nbsp;Sign
        in
    </button>
    <hr/>
    <a href="<?php echo e(route('help.article.view', ['article' => 1, 'popup' => true])); ?>" data-help>
        I don't know how to log in
    </a>
    <hr/>
    <?php if(Request::isSecure() & !isset($display_security_assurance)): ?>
        <a href="<?php echo e(route('help.article.view', ['article' => 5, 'popup' => true])); ?>" data-help data-height="570"
           data-width="580">
            <?php echo e("Is my data transmitted securely?"); ?>

        </a>
    <?php endif; ?>
</form>
