<?php $__env->startSection('title'); ?>
    <title>Application Users</title>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('banner'); ?>
    <?php echo $__env->make('backend.partials.banner', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('menu'); ?>
    <div class="col-md-10 col-md-offset-1" style="background-color: #7ebb7b">
        <div class="breadcrumbs">
            <div class="container">
                <div class="row">
                    <div class="col-sm-8">
                        <ul>
                            <li><a href="<?php echo url('admin/home'); ?>">Home</a></li>
                            <li class="active">Product Ledger</li>
                        </ul><!-- end breadcrumb -->
                    </div><!-- end col -->
                </div><!-- end row -->
            </div><!-- end container -->
        </div><!-- end breadcrumbs -->
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

    <?php echo $__env->make('backend.messages.flashmessage', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>


    <div class="container spark-screen fullpage">
        <div class="row">
            <div class="col-md-6 col-md-offset-2">
                <br/>
                <div><h3>Print Preview Product Ledger</h3></div>
                <div style="background-color: #ff0000;height: 2px">&nbsp;</div>
                <br/>


                <div class="div">
                    <br/>
                    <?php echo Form::open(['url'=>'product.ledger.index', 'method' => 'GET']); ?>


                    <table width="50%" class="table table-responsive table-hover" >

                        <tr>
                            <td width="5%"><label for="type" class="control-label">Product</label></td>
                            <td width="10%"><?php echo Form::select('product_id',(['' => 'Please Select'] + $products), null , array('id' => 'product_id', 'class' => 'form-control')); ?></td>
                        </tr>
                        <tr>
                            <td width="5%"><label for="type" class="control-label" >From Date</label></td>
                            <td width="10%"><?php echo Form::text('fromdate', \Carbon\Carbon::now()->format('d/m/Y'), array('id' => 'fromdate', 'class' => 'form-control','required','readonly')); ?></td>

                        </tr>
                        <tr>
                            <td width="5%"><label for="type" class="control-label" >To Date</label></td>
                            <td width="10%"><?php echo Form::text('todate', \Carbon\Carbon::now()->format('d/m/Y'), array('id' => 'todate', 'class' => 'form-control','required','readonly')); ?></td>

                        </tr>


                        <tr>
                            <td width="10%"><button name="action" type="submit" value="preview" class="btn btn-info btn-reject pull-left">Preview</button></td>
                            <td width="10%"><button name="action" type="submit" value="print" class="btn btn-primary btn-approve pull-right">Print</button></td>
                        </tr>

                    </table>

                    <?php echo Form::close(); ?>


                </div>
            </div>
            <div style="width: 5px"></div>

            
                
                    
                    
                

                
            
        </div>
    </div>

    <?php if(!empty($data)): ?>

        <table class="table table-responsive table-hover table-bordered" width="80%">
            <thead style="background-color: #8eb4cb">
                <tr>
                    <th colspan="5" style="background-color: transparent"><?php echo $item->name; ?> : From <?php echo \Carbon\Carbon::parse($fromdate)->format('d/m/Y'); ?> To <?php echo \Carbon\Carbon::parse($todate)->format('d/m/Y'); ?></th>
                </tr>

                <tr>
                    <th>Date</th>
                    <th>Ref No</th>
                    <th>Description</th>
                    <th style="text-align: right">In</th>
                    <th style="text-align: right">Out</th>
                </tr>
            </thead>
            <tbody>
            <tr>
                <td colspan="3" style="font-weight: bold">Opening Balance</td>
                <td align="right" style="font-weight: bold"><?php echo number_format($openingqty,2); ?></td>
                <td style="font-weight: bold"><?php echo $item->unit_name; ?></td>
            </tr>

            <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo \Carbon\Carbon::parse($row->tr_date)->format('d/m/Y'); ?></td>
                    <td><?php echo $row->refno; ?></td>
                    <td><?php echo $row->reftype; ?></td>
                    <td align="right"><?php echo $row->received; ?></td>
                    <td align="right"><?php echo $row->delevered; ?></td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
            <tfoot>
                <tr>
                    <td colspan="3" style="font-weight: bold">Periodic Total</td>
                    <td align="right" style="font-weight: bold"><?php echo $periodsum->received; ?></td>
                    <td align="right" style="font-weight: bold"><?php echo $periodsum->delevered; ?></td>
                </tr>
                <tr>
                    <td colspan="4" style="font-weight: bold">Current Balance</td>
                    <td align="right" style="font-weight: bold"><?php echo number_format($balance,2); ?><?php echo $item->unit_name; ?></td>
                </tr>
            </tfoot>

        </table>
    <?php endif; ?>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>

<script>

    $(document).ready(function() {
        //Date picker

        var minday = new Date();

        $('#fromdate').datepicker({
            numberOfMonths: 1,
            showButtonPanel: true,
            dateFormat: 'dd/mm/yy',
            maxDate: minday
        });

        $('#todate').datepicker({
            numberOfMonths: 1,
            showButtonPanel: true,
            dateFormat: 'dd/mm/yy',
            maxDate: minday
        });

    });

</script>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('backend.layouts.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>