<!DOCTYPE html>
<html lang="<?php echo e(config('app.locale')); ?>">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title>Admin Login</title>

    <!-- Styles -->
    <link href="<?php echo e(asset('css/app.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('src/common/css/login.css')); ?>" rel="stylesheet">
    <!-- Bootstrap CSS -->
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</head>


<body>


<div class="container">
    <div class="row">
        <div class="col-sm-6 col-md-4 col-md-offset-4">
            <h3 class="text-center login-title">Admin Login</h3>

            <div class="account-wall">
                <img class="profile-img" src="src/common/images/login.jpg"  alt="Key Image">
                <?php if(count($errors) > 0): ?>
                    <div class="alert alert-danger">
                        <strong>Whoops!</strong> There were some problems with your input.<br><br>
                        <ul>
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                <?php endif; ?>

                
                <form class="form-signin" role="form" method="POST" action="<?php echo e(url(Request::segment(1),'authenticate')); ?>" >
                

                    <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">

                    <?php echo Form::email('email', null , array('id' => 'email', 'class' => 'col-sm-12 form-control','placeholder' => 'email',  'data-mg-required' => '')); ?>

                    <?php echo e($errors->has('email') ? ' has-error' : ''); ?>

                    <?php if($errors->has('email')): ?>
                        <span class="help-block">
                                <strong><?php echo e($errors->first('email')); ?></strong>
                            </span>
                    <?php endif; ?>


                    <?php echo Form::password('password', array('class' => 'form-control','placeholder' => 'Password')); ?>

                    <?php echo e($errors->has('password') ? ' has-error' : ''); ?>

                    <?php if($errors->has('password')): ?>
                        <span class="help-block">
                                <strong><?php echo e($errors->first('password')); ?></strong>
                            </span>
                    <?php endif; ?>

                    <button class="btn btn-lg btn-primary btn-block" type="submit">
                        Sign in</button>
                </form>

                <!--Set User Name & PassWord-->
                <center>Name: admin@gmail.com
                    <br/>
                    User Password: pass123
                </center>

            </div>
        </div>
    </div>
</div>
<?php echo $__env->make('backend.messages.flashmessage', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
</body>
</html>
